=== debian/changelog ===
ros-indigo-rail-segmentation (0.1.11-0trusty) trusty; urgency=high

  * Segmenter.h: Fix compilation error with -std=c++11.
    This commit fixes compilation errors due to compilation with std=c++11,
    such as:
    include/rail_segmentation/Segmenter.h:82:23: error: ‘constexpr’ needed for
    in-class initialization of static data member
    ‘const double rail::segmentation::Segmenter::SAC_EPS_ANGLE’ of
    non-integral type [-fpermissive]
    static const double SAC_EPS_ANGLE = 0.15;
    ^~~~~~~~~~~~~
    Signed-off-by: Elvis Dowson <elvis.dowson@gmail.com>
  * Fixing a small bug so that the segment_objects service matches the topic data
  * Better bounding box calculation, added average rgb and cielab color to segmented object messages as they are calculated anyway, and added an alternative service api, segment_objects, that returns the segmented object list in the service response (while still broadcasting the segmented object list on the topic)
  * Constant definition fix for functions with reference parameters
  * Added option for euclidean + RGB clustering instead of solely euclidean distance
  * Contributors: David Kent, Elvis Dowson, Levon Avagyan, Russell Toris, Siddhartha Banerjee

 -- Russell Toris <russell.toris@gmail.com>  Fri, 21 Sep 2018 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.10-0trusty) trusty; urgency=high

  * Merge pull request #4 <https://github.com/GT-RAIL/rail_segmentation/issues/4> from velveteenrobot/publish-table
    Now publishes table as SegmentedObject and table marker as Marker
  * Now publishes table as SegmentedObject and table marker as Marker
  * New travis for indigo and jade
  * email update
  * Contributors: Russell Toris, Sarah Elliott

 -- Russell Toris <russell.toris@gmail.com>  Sat, 17 Sep 2016 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.9-0trusty) trusty; urgency=high

  * Update .travis.yml
  * Update README.md
  * Update package.xml
  * Added a node that continuously calls the segmentation service
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-rail-segmentation (0.1.8-0trusty) trusty; urgency=high

  * allows for params of min/max cluster size
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 14 May 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.7-0trusty) trusty; urgency=high

  * removed hard coded constants
  * angle fix
  * Approximated segmented object orientation with PCA
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.6-0trusty) trusty; urgency=high

  * cleared flag added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.5-0trusty) trusty; urgency=high

  * Added center point calculation for segmented objects
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Wed, 15 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.4-0trusty) trusty; urgency=high

  * quick travis fix
  * old parser format
  * Update .travis.yml
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.3-0trusty) trusty; urgency=high

  * bounding box info added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.2-0trusty) trusty; urgency=high

  * cmake cleanup
  * header cleanup
  * header cleanup
  * header cleanup
  * checks for incoming point cloud first
  * new lines added
  * new lines added
  * more const ptrs
  * moved to ptr based storage
  * const ptrs
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.1-0trusty) trusty; urgency=high

  * segmentation debug is now latched
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_segmentation into develop
  * redid zones for default
  * Fixed centroid calculation when the segmentation frame doesn't match the bounding box frame
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.1.0-0trusty) trusty; urgency=high

  * added RGB image to message
  * average RGB on marker
  * uses indices instead of new PCs
  * Merge pull request #1 from WPI-RAIL/refactor
    Refactor
  * merge conflicts
  * Revert "plane detection refactored"
    This reverts commit 7160b0b12e55755451ec5c8a9318e05552924cc6.
  * doc added
  * cleanup of old files
  * first pass of new segmentation node
  * plane detection refactored
  * Added a recognize all action which gives feedback throughout the recognition process; the recognize all server remains for compatibility, but it's recommended to use the action server instead.
  * Edited .travis.yml
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_segmentation into develop
  * Updated to reflect moving some messages from rail_segmentation to rail_manipulation_messages
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-rail-segmentation (0.0.5-0trusty) trusty; urgency=high

  * Fixed a possible exception thrown due to transforming a point cloud at an invalid time
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_segmentation into develop
  * Added an automatic segmentation service which will determine how best to segment based on camera angle
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-rail-segmentation (0.0.4-0trusty) trusty; urgency=high

  * Update .travis.yml
  * visualized object list initialization
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-rail-segmentation (0.0.3-0trusty) trusty; urgency=high


