=== debian/control ===
Source: ros-indigo-rail-segmentation
Section: misc
Priority: extra
Maintainer: Russell Toris <russell.toris@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, pkg-config, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2, ros-indigo-tf2-ros
Homepage: http://ros.org/wiki/rail_segmentation
Standards-Version: 3.9.2

Package: ros-indigo-rail-segmentation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-indigo-message-runtime, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2, ros-indigo-tf2-ros
Description: Segmentation Functionality from the RAIL Lab
